Subject: Re: bug#28174: lash is unsupported on aarch64

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 24 Aug 2017 10:17:18 +0200

Efraim Flashner <[email-masked]> writes:

> Lash is basically abandoned at this point, and it fails to build on
> aarch64-linux. Among the packages that depend on it indirectly is our
> qemu package and gst-plugins-bad. I don't really know what it does, but
> I know it's not great to have unmaintained packages in our tree.

Lash is used by audio applications to save connection state.  Many music
applications have support for lash and only need the headers to be
available at build time.

“gst-plugins-bad” has “fluidsynth” among its inputs (why?) and
fluidsynth has support for lash.  We could try to replace “lash” in
these cases with a “lash-headers” package and see if the presence of the
headers is sufficient.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net